#ifndef _RENDERWINDOWMESH_H_
#define _RENDERWINDOWMESH_H_

#include "D3D.h"
#include "BaseMesh.h"

class RenderWindowMesh : public BaseMesh
{
private:
	struct VertexType
	{
		XMFLOAT3 position;
	};

public:
	RenderWindowMesh(ID3D11Device*, int screenWidth, int screenHeight);
	~RenderWindowMesh();

	void SendData(ID3D11DeviceContext* deviceContext);

private:
	void InitBuffers(ID3D11Device* device);

private:
	int m_screenWidth, m_screenHeight;

};

#endif