// Application.h
#ifndef _APP_H
#define _APP_H

// Includes
#include "../DXFramework/baseapplication.h"
#include "D3D.h"
#include "TestScene.h"
#include "../DirectXTK/Inc/ScreenGrab.h"

class App : public BaseApplication
{
public:

	App();
	~App();
	void init(HINSTANCE hinstance, HWND hwnd, int screenWidth, int screenHeight, Input*);

	bool Frame();

protected:
	bool Render();

private:
	TestScene* m_scene;

};

#endif