#ifndef _HEIGHTMAPGENERATIONSHADER_H_
#define _HEIGHTMAPGENERATIONSHADER_H_

#include "../DXFramework/BaseShader.h"

class HeightmapGenerationShader : public BaseShader
{
protected:
	struct HeightmapGenerationFactors
	{
		float octaves;
		float amplitude;
		float frequency;
		float resolution;
	};

public:
	HeightmapGenerationShader(ID3D11Device* device, HWND hwnd);
	~HeightmapGenerationShader();

	void Render(ID3D11DeviceContext* deviceContext, D3D* d3d, void* resourceContainer);

protected:
	void InitShader(WCHAR*, WCHAR*);
	void InitShader(WCHAR*);

protected:
	ID3D11Buffer*  m_heightmapFactorsBuffer;
};
#endif