#ifndef _TERRAINMESH_H_
#define _TERRAINMESH_H_

#include "../DXFramework/BaseMesh.h"

// the indexing code makes use of a macro
#define clamp(value, minimum, maximum) (max(min((value), (maximum)), (minimum)))

class TerrainMesh : public BaseMesh
{
public:
	TerrainMesh();
	TerrainMesh(ID3D11Device* device, ID3D11DeviceContext* deviceContext, WCHAR* textureFilename, int x_len, int z_len);
	~TerrainMesh();
	
	void SendData(ID3D11DeviceContext* deviceContext);

protected:
	void InitBuffers(ID3D11Device* device);

protected:
	int m_terrainXLength, m_terrainZLength;
};

#endif