#ifndef _FLOATPARAMETER_H_
#define _FLOATPARAMETER_H_

#include <cstring>

class FloatParameter
{
public:
	FloatParameter(int count, float* initialData);
	FloatParameter(FloatParameter& copy);
	~FloatParameter();

	void UpdateParameter(int index, float data);
	void UpdateAllData(float* data);
	float GetParameter(int index);
	void GetAllData(float* dest);

	int GetCount();

	
protected:
	int m_count;
	float* m_floats;
};
#endif
