#ifndef _DEPTHSHADER_H_
#define _DEPTHSHADER_H_

#include "../DXFramework/BaseShader.h"

class DepthShader : public BaseShader
{
	struct VSMatrixBufferType
	{
		XMMATRIX world;
		XMMATRIX view;
		XMMATRIX proj;
	};

	struct PSMatrixBufferType
	{
		XMMATRIX invView;
	};

public:
	DepthShader(ID3D11Device* device, HWND hwnd);
	~DepthShader();

	void Render(ID3D11DeviceContext* deviceContext, D3D* d3d, void* resourceContainer);

protected:
	void InitShader(WCHAR*, WCHAR*);

protected:
	ID3D11Buffer* m_psMatrixBuffer;
};
#endif