#ifndef _PREPASSFINALSHADER_H_
#define _PREPASSFINALSHADER_H_

#include "../DXFramework/BaseShader.h"

class PrePassFinalShader : public BaseShader
{
private:
	struct MaterialBufferType
	{
		XMFLOAT3 specularAlbedo;
		float padding;
	};

public:
	PrePassFinalShader(ID3D11Device* device, HWND hwnd, bool msaa = false);
	~PrePassFinalShader();

	void Render(ID3D11DeviceContext* deviceContext, D3D* d3d, void* resourceContainer);

private:
	void InitShader(WCHAR*, WCHAR*);

private:
	ID3D11Buffer* m_materialBuffer;
};
#endif