#ifndef _PREPASSGBUFFERSHADER_H_
#define _PREPASSGBUFFERSHADER_H_

#include "../DXFramework/BaseShader.h"

class PrePassGBufferShader : public BaseShader
{
private:
	struct MaterialBufferType
	{
		float specularPower;
		XMFLOAT3 padding;
	};

public:
	PrePassGBufferShader(ID3D11Device* device, HWND hwnd);
	~PrePassGBufferShader();

	void Render(ID3D11DeviceContext* deviceContext, D3D* d3d, void* resourceContainer);

private:
	void InitShader(WCHAR*, WCHAR*);

private:
	ID3D11Buffer* m_materialBuffer;
};
#endif